package com.perdemia.permissionanalyzer.application.handlers.menu;

import com.perdemia.permissionanalyzer.application.util.ApplicationUtil;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.model.application.MApplication;
import org.eclipse.e4.ui.model.application.ui.advanced.MPerspective;
import org.eclipse.e4.ui.workbench.modeling.EModelService;
import org.eclipse.e4.ui.workbench.modeling.EPartService;

public class OpenScanPerspectiveHandler {

	@Execute
	public void execute(MApplication app, EPartService partService, EModelService modelService){
		ApplicationUtil.setBusyCursor();
		MPerspective scanPerspective = (MPerspective) modelService.find("com.perdemia.permissionanalyzer.application.perspective.scan", app);
		partService.switchPerspective(scanPerspective);
		ApplicationUtil.setDefaultCursor();
//		List <MToolBarContribution> toolbars = app.getToolBarContributions();
//		//toolbars.get(1).
//		List <MToolBarElement> elements = toolbars.get(1).getChildren();
//		ToolControlImpl toolControl = (ToolControlImpl) elements.get(0); 
//		//toolControl.
//		elements.get(0).setVisible(false);
//		elements.get(0).setToBeRendered(false);
//		
	}

}
