package com.perdemia.permissionanalyzer.application.jface.contentproviders;

import com.perdemia.permissionanalyzer.application.util.FilterHelper;
import com.perdemia.permissionanalyzer.data.FileInfo;

public class EffectivePermissionsPartContentProviderConfig {
	private FileInfo selectedFile;
	private boolean applyFilter = true;
	private String memberSearch = "";
	private FilterHelper filterHelper;
	private boolean useNestedGroupMembers;
	
	@SuppressWarnings("unused")
	private EffectivePermissionsPartContentProviderConfig(){};
		
	public EffectivePermissionsPartContentProviderConfig(FileInfo selectedFile, boolean applyFilter, String memberSearch, boolean useNestedGroupMembers, FilterHelper filterHelper) {
		super();
		this.selectedFile = selectedFile;
		this.applyFilter = applyFilter;
		this.memberSearch = memberSearch;
		this.useNestedGroupMembers = useNestedGroupMembers;
		this.filterHelper = filterHelper;
	}

	public FileInfo getSelectedFile() {
		return selectedFile;
	}
	public void setSelectedFile(FileInfo file) {
		this.selectedFile = file;
	}
	public boolean isApplyFilter() {
		return applyFilter;
	}
	public void setApplyFilter(boolean applyFilter) {
		this.applyFilter = applyFilter;
	}
	public String getMemberSearch() {
		return memberSearch;
	}
	public void setMemberSearch(String memberSearch) {
		this.memberSearch = memberSearch;
	}
	public FilterHelper getFilterHelper() {
		return filterHelper;
	}
	public void setFilterHelper(FilterHelper filterHelper) {
		this.filterHelper = filterHelper;
	}

	public boolean isUseNestedGroupMembers() {
		return useNestedGroupMembers;
	}

	public void setUseNestedGroupMembers(boolean useNestedGroupMembers) {
		this.useNestedGroupMembers = useNestedGroupMembers;
	}
}
