package com.perdemia.permissionanalyzer.application.swt;

import org.eclipse.swt.internal.win32.OS;
import org.eclipse.swt.widgets.Shell;

@SuppressWarnings("restriction")
public class ShellHelper {
	public static void forceActive(Shell shell) {
		try {
			long hFrom = OS.GetForegroundWindow();
	
			if (hFrom <= 0) {
				OS.SetForegroundWindow(shell.handle);
				return;
			}
	
			if (shell.handle == hFrom) {
				return;
			}
	
			int pid = OS.GetWindowThreadProcessId(hFrom, null);
			int _threadid = OS.GetWindowThreadProcessId(shell.handle, null);
	
			if (_threadid == pid) {
				OS.SetForegroundWindow(shell.handle);
				return;
			}
	
			if (pid > 0) {
				if (!OS.AttachThreadInput(_threadid, pid, true)) {
					return;
				}
				OS.SetForegroundWindow(shell.handle);
				OS.AttachThreadInput(_threadid, pid, false);
			}
	
			OS.BringWindowToTop(shell.handle);
			OS.UpdateWindow(shell.handle);
			OS.SetActiveWindow(shell.handle);
		} catch (Throwable ex) {
			//no action
		}
	}
}
