package com.perdemia.permissionanalyzer.application.export;

import java.util.ArrayList;
import java.util.List;

import com.perdemia.permissionanalyzer.application.util.ImageFactory.AppImage;

public class FilterRow {
	private String label;
	private AppImage image;
	private List<FilterRow> children;
	
	public FilterRow(String label, AppImage image) {
		this(label, image, false);
	}
	
	public FilterRow(String label, AppImage image, boolean hasChildren) {
		this.label = label;
		this.image = image;
		
		if (hasChildren) {
			children = new ArrayList<FilterRow>();
		}
	}
	
	public String getLabel() {
		return label;
	}
	public void setLabel(String label) {
		this.label = label;
	}
	public AppImage getImage() {
		return image;
	}
	public void setImage(AppImage image) {
		this.image = image;
	}
	public List<FilterRow> getChildren() {
		return children;
	}
	public void setChildren(List<FilterRow> children) {
		this.children = children;
	}
}
