package com.perdemia.permissionanalyzer.application.handlers.menu;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.model.application.MApplication;
import org.eclipse.e4.ui.model.application.ui.advanced.MPerspective;
import org.eclipse.e4.ui.model.application.ui.basic.MWindow;
import org.eclipse.e4.ui.workbench.modeling.EModelService;
import org.eclipse.e4.ui.workbench.modeling.EPartService;

import com.perdemia.permissionanalyzer.application.util.ApplicationUtil;
import com.perdemia.permissionanalyzer.application.util.LicenseHelper;
import com.perdemia.permissionanalyzer.application.util.LicenseHelper.Edition;
import com.perdemia.permissionanalyzer.data.Member;

public class OpenReportPerspectiveHandler {
	
	@Execute
	public void execute(MApplication app, EPartService partService, EModelService modelService, MWindow window){
		ApplicationUtil.setBusyCursor();
		MPerspective reportPerspective = (MPerspective) modelService.find("com.perdemia.permissionanalyzer.application.perspective.report", app);
		partService.switchPerspective(reportPerspective);
		ApplicationUtil.setDefaultCursor();
//		List <MToolBarContribution> toolbars = app.getToolBarContributions();
//		List <MToolBarElement> elements = toolbars.get(1).getChildren();
//		elements.get(0).setVisible(true);
	}
	
	@CanExecute
	public boolean canExecute() {
		return !LicenseHelper.getEdition().equals(Edition.SCAN_AGENT);
	}
}
