package com.perdemia.permissionanalyzer.data;

import java.util.List;

public class LdapContainer {
	private String name;
	private String dn;
	
	/** helper fields, not stored in DB */
	private List<LdapContainer> children;
	private LdapContainer parent;
	private Type type;
	
	public enum Type {CONTAINER, DOMAIN, OTHER};
	
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<LdapContainer> getChildren() {
		return children;
	}

	public void setChildren(List<LdapContainer> children) {
		this.children = children;
	}

	public LdapContainer getParent() {
		return parent;
	}

	public void setParent(LdapContainer parent) {
		this.parent = parent;
	}

	public String getDn() {
		return dn;
	}

	public void setDn(String dn) {
		this.dn = dn;
	}

	@Override
	public String toString() {
		return "LdapContainer [name=" + name + ", dn=" + dn + "]";
	}

	public Type getType() {
		return type;
	}

	public void setType(Type type) {
		this.type = type;
	}
}
